idle_loop       MACRO
        jsr     flib[idle_loop]
        ENDM

pxlline    MACRO
        jsr     easylib[fline]
        ENDM
writestr         MACRO
						move.w	\3,-(a7)
						pea 		\4(PC)
						move.w	\2,-(a7)
						move.w	\1,-(a7)
						jsr romlib[puttext]
						lea 		10(a7),a7
					 ENDM

writechar  MACRO
						move.w	#$00FF,-(a7)
						move.w	#$0000,-(a7)
						move.w	#$00FF,-(a7)
						move.w	\3,-(a7)
						move.w	\2,-(a7)
						move.w	\1,-(a7)
						move.w	\4,-(a7)
						jsr romlib[putchar]
						lea 		14(a7),a7
					 ENDM

setfont          MACRO
						move.w	\1,-(a7)
						jsr romlib[set_font]
						lea 		2(a7),a7
					 ENDM
pon     MACRO
        PtOn     \1,\2
        ENDM

poff    MACRO
        PtOff    \1,\2
        ENDM

pchg    MACRO
        PtChg    \1,\2
        ENDM

PtOn       MACRO

                                                push.w  \2
                                                push.w  \1
                                                jsr     flib[pixel_on]                                                flib[pixel_on]
                                                lea     4(a7),a7
					 ENDM

PtOff      MACRO

                                                push.w  \2
                                                push.w  \1
                                                jsr     flib[pixel_off]
                                                lea     4(a7),a7
					 ENDM

PtChg      MACRO

                                                push.w  \2
                                                push.w  \1
                                                jsr     flib[pixel_chg]
                                                lea     4(a7),a7
					 ENDM

push       MACRO

                                                move.\0  \1,-(a7)
                                         ENDM

pop        MACRO

                                                move.\0  -(a7),\1
                                         ENDM


vert    MACRO
                                                move.w  \1,d0
                                                jsr     easylib[fvert]                                        vertx:
                                                ENDM

horz    MACRO
                                                move.w  \1,d0
                                                jsr     easylib[fhorz]
                                                ENDM
input   MACRO
        jsr     easylib[input]
        ENDM

pause1  MACRO
        jsr     flib[idle_loop]
        ENDM

pause2  MACRO
        jsr     easylib[pause2]
        ENDM

clrscr  MACRO
        jsr     flib[clr_scr]
        move.w  #0,d0
        move.w  d0,(line)
        setfont #0
        ENDM


getkey  MACRO
        jsr     easylib[getkey]
        ENDM

wait    MACRO
        move.w  \1,d0
        jsr     easylib[wait]
        ENDM

contup  MACRO
        jsr     easylib[cont_up]
        ENDM

contdown        MACRO
        jsr     easylib[cont_down]
        ENDM

off     MACRO
        trap    #4
        ENDM

disp_decimal    MACRO
        bsr     ConvStr
        ENDM


pushall MACRO
        movem.l d0-d7/a0-a6,-(a7)
        ENDM

popall  MACRO
        movem.l (a7)+,d0-d7/a0-a6
        ENDM

load_decimal_display    MACRO

ConvStr:                                        ;courtesy of Jimmy Mardell
        move.b  #5,d1
        adda.l          d1,a0
        clr.b           (a0)
        subq.b          #1,d1
RepConv:
        divu            #10,d0
        move.l          d0,d2
        lsr.l           #8,d2
        lsr.l           #8,d2
        add.b           #48,d2
        move.b          d2,-(a0)
        and.l           #$FFFF,d0
        dbra            d1,RepConv
        rts
        ENDM
